
get
/v4/enums/{enumName}
Get detailed information about a specific enum including all entries with their values, names, and descriptions (if available).
Path parameters
enumNamestringrequired
Name of the enum (e.g., CampaignType, ChainId, DistributionMethod)
Responses
200Response for status 200
Schema
object
namestringrequired
The enum nameentriesobject[]requiredArray of all entries in this enum
valuenumber | stringThe enum value (number or string)keystringThe enum keydescriptionstringHuman-readable description of the enum entrytypeenumrequired
The type of values in this enumnumberstringExample
{
"name": "string",
"entries": [
{
"value": "string",
"key": "string",
"description": "string"
}
],
"type": "number"
}get
https://api.merkl.xyz/v4/enums/curl -X GET "https://api.merkl.xyz/v4/enums/CampaignType"